#include <Servo.h> 

Servo servoLeft;              // Define left servo
Servo servoRight;             // Define right servo

volatile int pbLeft = LOW;
volatile int pbRight = LOW;
boolean started = false;

void setup() {
  // Set pin modes for switches
  pinMode(2, INPUT);
  pinMode(3, INPUT);
  pinMode(4, OUTPUT);
  digitalWrite(2, HIGH);
  digitalWrite(3, HIGH);
  digitalWrite(4, LOW);     // Serves as ground connection
  
  servoLeft.attach(10);     // Set left servo to pin 10
  servoRight.attach(9);     // Set right servo to pin 9
  
  Serial.begin(9600);
    
  // Set up interrupts
  attachInterrupt(0, hitRight, FALLING);
  attachInterrupt(1, hitLeft, FALLING);
  
  started = true;
  forward();
}

void loop() {
  
  if (pbLeft == HIGH) {           // If left bumper hit
    reverse();
    delay(500); 
    turnRight();
    delay(1500);
    forward();
    pbLeft = LOW;
    Serial.println("pbLeft");
  }
  
  if (pbRight == HIGH) {          // If right bumper hit
    reverse();
    delay(500); 
    turnLeft();
    delay(1500);
    forward();
    pbRight = LOW;
    Serial.println("pbRight");  
  }
  
}

// Interrupt handlers
void hitLeft() {
  if (started)
    pbLeft = HIGH;
}
void hitRight() {
  if (started) 
    pbRight = HIGH;
}

// Motion routines for forward, reverse, turns, and stop
void forward() {
  servoLeft.write(0);
  servoRight.write(180);
}
void reverse() {
  servoLeft.write(180);
  servoRight.write(0);
}
void turnRight() {
  servoLeft.write(180);
  servoRight.write(180);
}
void turnLeft() {
  servoLeft.write(0);
  servoRight.write(0);
}
void stopRobot() {
  servoLeft.write(90);
  servoRight.write(90);
}

