#include <Servo.h> 

Servo servoLeft;          // Define left servo
Servo servoRight;         // Define right servo

void setup() { 
  Serial.begin(9600);
  servoLeft.attach(10);   // Set left servo to pin 10
  servoRight.attach(9);   // Set right servo to pin 9
  forward();
} 

void loop() {            // Loop through motion tests
  forward();
  int sensorValue = analogRead(A0);
  Serial.println(sensorValue);
  if(sensorValue > 30) {
    reverse();
    delay(1000);
    turnRight();
    delay(500);
  }
  delay(20);
}

// Motion routines for forward, reverse, turns, and stop
void forward() {
  servoLeft.write(0);
  servoRight.write(180);
}
void reverse() {
  servoLeft.write(180);
  servoRight.write(0);
}
void turnRight() {
  servoLeft.write(180);
  servoRight.write(180);
}
void turnLeft() {
  servoLeft.write(0);
  servoRight.write(0);
}
void stopRobot() {
  servoLeft.write(90);
  servoRight.write(90);
}

